Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 2831213002: Add unionpay resource for autofill. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 4 weeks ago by jiahuiguo
Modified:
3 months, 3 weeks ago
CC:
agrieve+watch_chromium.org, browser-components-watch_chromium.org, chromium-reviews, estade+watch_chromium.org, mathp+autofillwatch_chromium.org, rogerm+autofillwatch_chromium.org, rouslan+autofill_chromium.org, sebsg+autofillwatch_chromium.org, vabr+watchlistautofill_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Add unionpay resource for autofill. New icons are from https://spec.googleplex.com/payments/resources/icons-logos.html#icons-logos-icons unionpay_card.xml are converted from the svg file from this icons set using tool: http://a-student.github.io/SvgToVectorDrawableConverter.Web/ And then changed android:width="128dp", android:height="80dp" to: android:width="32dp", android:height="20dp" to match the settings in amex_card.xml, discover_card.xml, etc. Screenshots are attached in the bug. BUG=713869 TEST=components:components_unittests Review-Url: https://codereview.chromium.org/2831213002 Cr-Commit-Position: refs/heads/master@{#467061} Committed: https://chromium.googlesource.com/chromium/src/+/df7722f0f7c17fab68d75b2735f5795e0a5782bd

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+83 lines, -1 line) Patch
A chrome/android/java/res/drawable/unionpay_card.xml View 1 chunk +77 lines, -0 lines 0 comments Download
M chrome/browser/android/resource_id.h View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/autofill/autofill_popup_layout_model.cc View 1 chunk +1 line, -0 lines 0 comments Download
M components/autofill/core/browser/credit_card.cc View 1 chunk +1 line, -1 line 0 comments Download
M components/autofill/core/browser/credit_card_unittest.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M components/resources/autofill_scaled_resources.grdp View 1 chunk +1 line, -0 lines 0 comments Download
A components/resources/default_100_percent/autofill/unionpay.png View Binary file 0 comments Download
A components/resources/default_200_percent/autofill/unionpay.png View Binary file 0 comments Download
Trybot results:  win_chromium_x64_rel_ng   win_clang   win_chromium_rel_ng   mac_chromium_compile_dbg_ng   win_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-simulator   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   android_n5x_swarming_rel   cast_shell_android   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   mac_chromium_rel_ng   chromium_presubmit   linux_android_rel_ng   chromium_presubmit   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   cast_shell_linux   linux_android_rel_ng   android_n5x_swarming_rel   android_cronet   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe   mac_chromium_compile_dbg_ng   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_clang   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   ios-simulator   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   ios-device   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   android_n5x_swarming_rel   linux_android_rel_ng   cast_shell_android   android_compile_dbg   android_cronet   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 22 (12 generated)
jiahuiguo
Hi Mathieu and Sashi, PTAL.
3 months, 4 weeks ago (2017-04-20 22:15:08 UTC) #5
csashi
lgtm
3 months, 4 weeks ago (2017-04-21 22:27:39 UTC) #8
Mathieu
This is great, thanks a lot! lgtm
3 months, 3 weeks ago (2017-04-23 08:17:10 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2831213002/1
3 months, 3 weeks ago (2017-04-24 17:39:31 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/418738)
3 months, 3 weeks ago (2017-04-24 17:49:24 UTC) #13
jiahuiguo
Adding reviewers for the following files, PTAL. dtrainor@: chrome/android/java/res/drawable/unionpay_card.xml jochen@: chrome/browser/* components/* Thanks!
3 months, 3 weeks ago (2017-04-24 19:56:15 UTC) #15
David Trainor- moved to gerrit
chrome/android/java/res/drawable/unionpay_card.xml lgtm
3 months, 3 weeks ago (2017-04-25 03:26:34 UTC) #16
jochen (gone - plz use gerrit)
lgtm
3 months, 3 weeks ago (2017-04-25 14:45:15 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2831213002/1
3 months, 3 weeks ago (2017-04-25 17:26:05 UTC) #19
commit-bot: I haz the power
3 months, 3 weeks ago (2017-04-25 18:40:42 UTC) #22
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/df7722f0f7c17fab68d75b2735f5...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b